PKG-CLEAN(8)

NAME
pkg clean - clean the local cache of fetched remote packages

SYNOPSIS
pkg clean [-anqy]

pkg clean [--{all,dry-run,quiet,yes}]

DESCRIPTION
pkg clean is used to cleanup the local cache of packages downloaded from remote repositories. It removes packages that have been superseded by newer versions, and any packages that are no longer provided.

OPTIONS
The following options are supported by pkg clean:

-a, --all
    Delete all cached packages.

-n, --dry-run
    Do not delete any package files from the cache, but show what would be done instead. Forces the preview of the packages that would be deleted to be shown, even when used with -y. Note: the package cache file permissions only permit root access. Results will be disappointing for any other user.

-q, --quiet
    Be quiet. Suppress most output. All output is suppressed if -y is also used.

-y, --yes
    Assume a yes answer instead of asking for confirmation before deleting any out of date or redundant packages from the cache.

ENVIRONMENT
The following environment variables affect the execution of pkg clean. See pkg.conf(5) for further description.

ASSUME_ALWAYS_YES

PKG_DBDIR

PKG_CONFIG_CACHEDIR

FILES
See pkg.conf(5).

SEE ALSO
pkg_printf(3), pkg_repos(3), pkg-repository(5), pkg.conf(5), pkg(8), pkg-add(8), pkg-annotate(8), pkg-audit(8), pkg-autoremove(8), pkg-backup(8), pkg-check(8), pkg-config(8), pkg-convert(8), pkg-create(8), pkg-delete(8), pkg-fetch(8), pkg-info(8), pkg-install(8), pkg-lock(8), pkg-query(8), pkg-register(8), pkg-repo(8), pkg-rquery(8), pkg-search(8), pkg-set(8), pkg-shell(8), pkg-shlib(8), pkg-ssh(8), pkg-stats(8), pkg-update(8), pkg-updating(8), pkg-upgrade(8), pkg-version(8), pkg-which(8)